Cyberduck Mountain Duck CLI

#5260 closed defect (worksforme)

svn checkout and build problems on Windows

Reported by: lukas Owned by:
Priority: normal Milestone: 4.0b5
Component: core Version: 4.0b2
Severity: normal Keywords: svn build problems
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by dkocher)

I'm having some problems related to svn checkouts and building under windows:

  1. svn checkout fails with the following error (using TortoiseSVN):
Error: Can't move 'C:\Users\lukas\Documents\cyberduck-test\www\help\.svn\tmp\entries'   
Error: to 'C:\Users\lukas\Documents\cyberduck-test\www\help\.svn\entries': The file or   
Error: directory is corrupted and unreadable. 

The collabnet cmd line svn seems to break too with the same error message but at random places - on Monday i will test this on some other machine just to double confirm.

  1. Build issues:

I have followed the instructions from http://trac.cyberduck.ch/browser/trunk/README.txt The instructions should mention that ant ikvmc task should be downloaded and added to the ant lib directory (http://ant-ikvmc.sourceforge.net/) i have also used slightly later release of ikvmc (ikvm-0.44.0.5) and JDK 1.6.0_21 to the one given in the instructions. Now when i run ant i get the following error(s):

[dn:msbuild]   CSC : error CS1719: Error reading Win32 resource file 'c:\Users\l
ukas\Documents\cyberduck-svn\cyberduck\source\ch\cyberduck\ui\winforms\commondia
log\obj\debug\res1.res' -- 'The system cannot find the path specified. ' [C:\Use
rs\lukas\Documents\cyberduck-svn\cyberduck\source\ch\cyberduck\ui\winforms\commo
ndialog\CustomOpenFileFolderDialog.csproj]

I have managed to overcome this error by manually building the project using visual studio 2010 (Both Release and Debug targets) but then i get the following errors: . . .

[dn:msbuild]   ui\winforms\BrowserForm.cs(663,16): error CS0246: The type or nam
espace name 'PathFilter' could not be found (are you missing a using directive o
r an assembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\sour
ce\ch\cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(685,16): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(725,37): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(730,33): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]

There are piles, and piles of those

Thx

Luk

Change History (17)

comment:1 Changed on Oct 2, 2010 at 10:09:43 PM by dkocher

  • Description modified (diff)

comment:2 in reply to: ↑ description ; follow-up: Changed on Oct 2, 2010 at 10:11:17 PM by dkocher

Replying to lukas:

[dn:msbuild]   ui\winforms\BrowserForm.cs(663,16): error CS0246: The type or nam
espace name 'PathFilter' could not be found (are you missing a using directive o
r an assembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\sour
ce\ch\cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(685,16): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(725,37): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(730,33): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]

Please run ant dll. It is currently not included in the default build target as it takes a long time to run and is not cached.

comment:3 in reply to: ↑ description ; follow-up: Changed on Oct 2, 2010 at 10:15:45 PM by dkocher

Replying to lukas:

  1. Build issues:

I have followed the instructions from http://trac.cyberduck.ch/browser/trunk/README.txt The instructions should mention that ant ikvmc task should be downloaded and added to the ant lib directory (http://ant-ikvmc.sourceforge.net/) i have also used slightly later release of ikvmc (ikvm-0.44.0.5) and JDK 1.6.0_21 to the one given in the instructions. Now when i run ant i get the following error(s):

I have added the IKVMC ant task to lib/ext in r7174.

comment:4 in reply to: ↑ description ; follow-up: Changed on Oct 2, 2010 at 10:18:08 PM by dkocher

Replying to lukas:

I'm having some problems related to svn checkouts and building under windows:

  1. svn checkout fails with the following error (using TortoiseSVN):
Error: Can't move 'C:\Users\lukas\Documents\cyberduck-test\www\help\.svn\tmp\entries'   
Error: to 'C:\Users\lukas\Documents\cyberduck-test\www\help\.svn\entries': The file or   
Error: directory is corrupted and unreadable. 

Turn off Indexing of your SVN repositories by the Windows Indexing Service.

Last edited on Oct 2, 2010 at 10:19:03 PM by dkocher (previous) (diff)

comment:5 in reply to: ↑ 3 Changed on Oct 2, 2010 at 11:15:48 PM by lukas

Replying to dkocher:

Replying to lukas:

  1. Build issues:

I have followed the instructions from http://trac.cyberduck.ch/browser/trunk/README.txt The instructions should mention that ant ikvmc task should be downloaded and added to the ant lib directory (http://ant-ikvmc.sourceforge.net/) i have also used slightly later release of ikvmc (ikvm-0.44.0.5) and JDK 1.6.0_21 to the one given in the instructions. Now when i run ant i get the following error(s):

I have added the IKVMC ant task to lib/ext in r7174.

Thx just noticed its there

comment:6 in reply to: ↑ 4 Changed on Oct 2, 2010 at 11:17:11 PM by lukas

Replying to dkocher:

Replying to lukas:

I'm having some problems related to svn checkouts and building under windows:

  1. svn checkout fails with the following error (using TortoiseSVN):
Error: Can't move 'C:\Users\lukas\Documents\cyberduck-test\www\help\.svn\tmp\entries'   
Error: to 'C:\Users\lukas\Documents\cyberduck-test\www\help\.svn\entries': The file or   
Error: directory is corrupted and unreadable. 

Turn off Indexing of your SVN repositories by the Windows Indexing Service.

Thx i have switched indexing off for the cyberduck dir repo. It broke once, but i have run update and it finished successfully. I will look into disabling it globally

comment:7 in reply to: ↑ 2 Changed on Oct 2, 2010 at 11:18:32 PM by lukas

Replying to dkocher:

Replying to lukas:

[dn:msbuild]   ui\winforms\BrowserForm.cs(663,16): error CS0246: The type or nam
espace name 'PathFilter' could not be found (are you missing a using directive o
r an assembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\sour
ce\ch\cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(685,16): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(725,37): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]
[dn:msbuild]   ui\winforms\BrowserForm.cs(730,33): error CS0246: The type or nam
espace name 'Host' could not be found (are you missing a using directive or an a
ssembly reference?) [C:\Users\lukas\Documents\cyberduck-svn\cyberduck\source\ch\
cyberduck\Cyberduck.csproj]

Please run ant dll. It is currently not included in the default build target as it takes a long time to run and is not cached.

Great this has fixed it - i still have to build commondialog manually

comment:8 Changed on Oct 2, 2010 at 11:20:39 PM by lukas

I have another issue though. it seems like i'm missing wybuild (which by the looks is a non-free). Is there any way to build the release build and installer without it?

comment:9 follow-up: Changed on Oct 2, 2010 at 11:30:58 PM by lukas

And what should be the right sequence of ant targets that i should run?

comment:10 in reply to: ↑ 9 Changed on Oct 3, 2010 at 7:58:04 AM by dkocher

Replying to lukas:

And what should be the right sequence of ant targets that i should run?

Just type ant which executes the default build target which has all the right dependencies except dll which you have to run manually once.

comment:11 Changed on Oct 3, 2010 at 8:13:01 AM by yla

After running ant you find an exploded release build (without wyUpdate) in build\Release. Currently it's not possible to build an installer without wyBuild and a code signing certificate.

comment:12 Changed on Oct 3, 2010 at 10:06:25 AM by lukas

Oki odki, did see the binary builds but wanted to test the insrtaller build. Anyhow dkocher, yla thx for all the help:)

comment:13 Changed on Oct 3, 2010 at 12:03:53 PM by lukas

Oh just rememebered, a minor issue. build-windows.xml seems to use ${env.ProgramFiles(x86)} macros - this works on x64 architecture, but on 32 bit ${env.ProgramFiles(x86)} does not exist and ${env.ProgramFiles} should be used instead. Is there a way to have a platform specific elements in the ant xml specs (something along the lines of ifdef/else/endif)

comment:14 Changed on Oct 3, 2010 at 1:19:10 PM by yla

Thanks, I'm aware of this issue. Unfortunately there is no easy and 100% safe solution. A possible solution is in r7176. Please note that if you use an alternative shell for building (like Cygwin) you might have to manually set the environment variable for the 32bit ProgramFiles folder. Otherwise Ant possibly won't pick the right JDK.

comment:15 Changed on Oct 3, 2010 at 2:06:05 PM by lukas

ah that is a shame. Maybe putting a note in the build instructions might be the easiest solution

comment:16 Changed on Oct 5, 2010 at 2:15:42 PM by dkocher

Updated build instructions in r7213.

comment:17 Changed on Oct 17, 2010 at 2:58:22 PM by dkocher

  • Milestone set to 4.0b5
  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software